<%--
   Licensed to the Apache Software Foundation (ASF) under one or more
   contributor license agreements.  See the NOTICE file distributed with
   this work for additional information regarding copyright ownership.
   The ASF licenses this file to You under the Apache License, Version 2.0
   (the "License"); you may not use this file except in compliance with
   the License.  You may obtain a copy of the License at

      http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
--%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<portlet:defineObjects/>

<script language="JavaScript">
var <portlet:namespace/>formName = "<portlet:namespace/>certReqDetailsForm";
var <portlet:namespace/>dateFields = new Array("validFrom", "validTo");

function <portlet:namespace/>validateForm(){
    for(i in <portlet:namespace/>dateFields) {
        if(!checkDateMMDDYYYY(<portlet:namespace/>formName, <portlet:namespace/>dateFields[i]))
            return false;
    }
    // Check if from date is before to date
    var fromDate = new Date(document.forms[<portlet:namespace/>formName].validFrom.value);
    var toDate = new Date(document.forms[<portlet:namespace/>formName].validTo.value);
    if(fromDate >= toDate) {
        alert('validFrom date must be before validTo date');
        return false;
    }
    return true;
}
</script>

<b>Issue New Certificate</b> - Step 2: Review Request and enter Certificate details

<p> This screen shows the details of the Certficate Signing Request (CSR) and allows you to input
the validity period and signature algorithm for the certificate to be issued.  The certificate
serial number is automatically generated by incrementing the serial number of the last certificate
issued.  The next screen will allow you to review & confirm these details and issue a certificate.</p>

<jsp:include page="_header.jsp" />

<form name="<portlet:namespace/>certReqDetailsForm" action="<portlet:actionURL/>">
    <input type="hidden" name="mode" value="certReqDetails-after"/>
    <input type="hidden" name="pkcs10certreq" value="${pkcs10certreq}"/>
    <input type="hidden" name="requestId" value="${requestId}"/>
    <table border="0">
        <tr>
            <th class="DarkBackground" colspan="2" align="left">Certificate Requestor Details</th>
        </tr>
        <tr>
            <th class="LightBackground" align="right">Subject:</th>
            <td class="LightBackground">
                <input type="hidden" name="subject" value="${subject}" /> ${subject}
            </td>
        </tr>
        <tr>
            <th class="MediumBackground" align="right">Public Key:</th>
            <td class="MediumBackground">
                <input type="hidden" name="publickey" value="${publickey}" /><pre>${publickey}</pre>
            </td>
        </tr>
        <tr><td>&nbsp;</td></tr>
    </table>
    <table border="0">
        <tr>
            <th colspan="2" align="left">Details of the Certificate to be issued</th>
        </tr>
        <tr>
            <th align="right">Certificate Serial No.:</th>
            <td>
                <input type="text" name="sNo" size="20" maxlength="200" value="${sNo}" READONLY/>
            </td>
        </tr>
        <tr>
            <th align="right">Valid From Date (mm/dd/yyyy):</th>
            <td>
                <input type="text" name="validFrom" size="20" maxlength="200" value="${validFrom}"/>
            </td>
        </tr>
        <tr>
            <th align="right">Valid To Date (mm/dd/yyyy):</th>
            <td>
                <input type="text" name="validTo" size="20" maxlength="200" value="${validTo}"/>
            </td>
        </tr>
        <tr>
            <th align="right">Signature Algorithm:</th>
            <td>
                <select name="algorithm">
                    <option <c:if test="${algorithm eq 'MD2withRSA'}">selected</c:if> >MD2withRSA</option>
                    <option <c:if test="${algorithm eq 'MD5withRSA' || algorithm eq '' || empty(algorithm)}">selected</c:if> >MD5withRSA</option>
                    <option <c:if test="${algorithm eq 'SHA1withRSA'}">selected</c:if> >SHA1withRSA</option>
                </select>
            </td>
        </tr>
    </table>
    <input type="submit" value="Review Client Cert Details" onClick="return <portlet:namespace/>validateForm();"/>
    <input type="reset" name="reset" value="Reset">
</form>

<p><a href="<portlet:actionURL portletMode="view">
              <portlet:param name="mode" value="index-before"/>
            </portlet:actionURL>">Cancel</a></p>
